/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import PetDto from './PetDto';

/**
 * The PersonDto model module.
 * @module model/PersonDto
 * @version v0
 */
class PersonDto {
    /**
     * Constructs a new <code>PersonDto</code>.
     * @alias module:model/PersonDto
     * @param id {String} 
     * @param name {String} 
     */
    constructor(id, name) { 
        
        PersonDto.initialize(this, id, name);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, id, name) { 
        obj['id'] = id;
        obj['name'] = name;
    }

    /**
     * Constructs a <code>PersonDto</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/PersonDto} obj Optional instance to populate.
     * @return {module:model/PersonDto} The populated <code>PersonDto</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new PersonDto();

            if (data.hasOwnProperty('id')) {
                obj['id'] = ApiClient.convertToType(data['id'], 'String');
            }
            if (data.hasOwnProperty('name')) {
                obj['name'] = ApiClient.convertToType(data['name'], 'String');
            }
            if (data.hasOwnProperty('age')) {
                obj['age'] = ApiClient.convertToType(data['age'], 'Number');
            }
            if (data.hasOwnProperty('nickName')) {
                obj['nickName'] = ApiClient.convertToType(data['nickName'], 'String');
            }
            if (data.hasOwnProperty('interests')) {
                obj['interests'] = ApiClient.convertToType(data['interests'], ['String']);
            }
            if (data.hasOwnProperty('pets')) {
                obj['pets'] = ApiClient.convertToType(data['pets'], [PetDto]);
            }
        }
        return obj;
    }


}

/**
 * @member {String} id
 */
PersonDto.prototype['id'] = undefined;

/**
 * @member {String} name
 */
PersonDto.prototype['name'] = undefined;

/**
 * @member {Number} age
 */
PersonDto.prototype['age'] = undefined;

/**
 * @member {String} nickName
 */
PersonDto.prototype['nickName'] = undefined;

/**
 * @member {Array.<String>} interests
 */
PersonDto.prototype['interests'] = undefined;

/**
 * @member {Array.<module:model/PetDto>} pets
 */
PersonDto.prototype['pets'] = undefined;






export default PersonDto;

